Last Comment Bug 537325 - Address bar and other text edits stop working after loading a pdf into the browser using Adobe Reader X
: Address bar and other text edits stop working after loading a pdf into the br...
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: unspecified
: x86 Windows 7
: -- normal with 4 votes (vote)
: ---
Assigned To: Jim Mathies [:jimm]
:
Mentors:
http://www.help.gv.at/Content.Node/do...
: 626491 636778 637039 640623 641024 643824 645919 (view as bug list)
Depends on:
Blocks: 550322
  Show dependency treegraph
 
Reported: 2009-12-30 15:31 PST by Yet Ding
Modified: 2014-10-12 11:07 PDT (History)
24 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
Macaw+
.1-fixed
wanted


Attachments
one off patch (1.24 KB, patch)
2011-03-18 13:19 PDT, Jim Mathies [:jimm]
no flags Details | Diff | Review
one off patch (1.20 KB, patch)
2011-03-18 13:20 PDT, Jim Mathies [:jimm]
no flags Details | Diff | Review
fix (1.38 KB, patch)
2011-03-25 11:46 PDT, Jim Mathies [:jimm]
no flags Details | Diff | Review
fix (1.39 KB, patch)
2011-03-25 11:50 PDT, Jim Mathies [:jimm]
bent.mozilla: review+
dveditz: approval2.0+
Details | Diff | Review

Description Yet Ding 2009-12-30 15:31:08 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; de; rv:1.9.2b5) Gecko/20091204 Firefox/3.6b5 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; de; rv:1.9.2b5) Gecko/20091204 Firefox/3.6b5 (.NET CLR 3.5.30729)

i opened a pdf (embedded in firefox), while it loaded i tried to change part of the url (it is important to start marking at the urls end) thus i was not able to change the url anymore

Reproducible: Always

Steps to Reproduce:
1. open a pdf (eg. http://www.help.gv.at/Content.Node/documents/meldez.pdf )
while the page is loading:
2. mark part of the url, it is important to start at the urls end
3. delete or replace that part
Actual Results:  
the url does not change
you can not change the url anymore, also when the pdf is loaded

Expected Results:  
you should be able to change the url

if you switch the tab and then switch back you will be able to change the url again
Comment 1 Mike Beltzner [:beltzner, not reading bugmail] 2009-12-31 15:06:46 PST
What are you using to view the PDF? Firefox doesn't have built in PDF reading, so I don't think this is an issue with the browser; might be with the PDF reader you're using.

--> Core::Plugins

Can't block until we get a confirmation. Adding qawanted.
Comment 2 Yet Ding 2010-01-01 05:08:45 PST
Adobe Acrobat

    Datei: nppdf32.dll
    Version: 9.1.0.163
    Adobe PDF Plug-In For Firefox and Netscape
Comment 3 Yet Ding 2010-01-02 14:13:17 PST
i also tried this on 3.5 and on trunk
in 3.5 there is no problem
trunk also shows problems
because adobe acrobat afaik the most often used software to open pdf i think this we should have a closer look at this
by the way i also noticed that adobe acrobat is much more slowly loaded in 3.6 and trunk than in 3.5
Comment 4 DELETE THIS ACCOUNT 2010-03-17 15:36:44 PDT
Bug confirmed in v3.6, platform Win 7
It is a problem with browser since we click on its address bar and it cannot be changed. For example, we visited www.site.com/doc.pdf, but we want to go just to www.site.com. You cannot erase "doc.pdf"!
Comment 5 eyal gruss (eyaler) 2010-11-11 18:48:33 PST
confirmed on windows 7
Build identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b7) Gecko/20100101 Firefox/4.0b7
Comment 6 Johnny Stenback (:jst, jst@mozilla.com) 2010-11-17 17:10:54 PST
Jim, can you look into this? I'm not sure this is a blocker per se, as this happens in 3.6, but this sounds like it could be an OOPP regression. bsmedberg, feel free to mark this differently if you disagree.
Comment 7 Jim Mathies [:jimm] 2010-11-17 17:56:06 PST
(In reply to comment #6)
> Jim, can you look into this? I'm not sure this is a blocker per se, as this
> happens in 3.6, but this sounds like it could be an OOPP regression. bsmedberg,
> feel free to mark this differently if you disagree.

Hmm, 3.6 didn't have the pdf reader out of process. Might be some other regression. I'll take a look.
Comment 8 Jim Mathies [:jimm] 2010-11-18 07:16:01 PST
Is anyone still able to reproduce on trunk nightlies? This is working for me.

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b8pre) Gecko/20101117 Firefox/4.0b8pre
Comment 9 Benjamin Smedberg [:bsmedberg] 2010-11-18 07:24:34 PST
How did you try to change the URL bar? By clicking it with the mouse, or using the keyboard, or some other method?

Not a regression from 3.6, so not blocking anyway.
Comment 10 eyal gruss (eyaler) 2010-11-18 07:39:32 PST
i click the url with the mouse, then keyboard keystrokes are not registered.
i could not get a reproducible STR yet. sometimes it works sometimes not.
it may involve switching tab back and forth while pdf is loading. and the problem occurs when the pdf has been completely loaded as opposed to during loading.
Comment 11 Jim Mathies [:jimm] 2010-11-18 07:41:16 PST
(In reply to comment #10)
> i click the url with the mouse, then keyboard keystrokes are not registered.
> i could not get a reproducible STR yet. sometimes it works sometimes not.
> it may involve switching tab back and forth while pdf is loading. and the
> problem occurs when the pdf has been completely loaded as opposed to during
> loading.

That I can reproduce. Mouse works fine, keyboard strokes get robbed by the pdf reader. The cursor in the address bar indicates focus.
Comment 12 Jim Mathies [:jimm] 2011-02-16 10:29:29 PST
Shows up in Adobe Acrobat 10 w/ipc enabled and disabled. This is pretty ugly if you just drop a pdf into the browser. The navigation bar becomes useless.
Comment 13 Jim Mathies [:jimm] 2011-02-16 12:08:06 PST
This is reproducible in 3.6 as well, and unfortunately it doesn't happen in debug builds.
Comment 14 Jim Mathies [:jimm] 2011-02-16 12:14:20 PST
Last of all this isn't reproducible with Reader 9.4 in Fx 3.6 and 4.0, so it looks like it's a Reader X specific issue.
Comment 15 Stuart Parmenter 2011-02-22 15:31:07 PST
re-nominating -- this is a really terrible experience any time you open a PDF on Windows in the browser
Comment 16 Jim Mathies [:jimm] 2011-02-22 16:13:19 PST
cc'ing Rudy who's been helping us with Reader X issues.
Comment 17 Mike Beltzner [:beltzner, not reading bugmail] 2011-02-22 21:14:59 PST
A terrible experience is the tab being totally unnavigable after loading a PDF. This is, at most, a bit of a nuisance for people who are heavy into modifying URLs in the location bar.

It's also not a new regression, looks like it's an Adobe Reader X issue. Not blocking.

(I also can't reproduce with the latest version of Reader X on Windows 7, fwiw!)
Comment 18 Rudi Sherry 2011-02-23 09:25:03 PST
I haven't seen this but I'll have someone test this internally.
Comment 19 Rudi Sherry 2011-02-23 09:32:05 PST
This is working fine for me:

Firefox Win 32 3.6.12
Win 7 Enterprise x64
Reader 10.0.1

...with some trying of tab-switching.  I couldn't make it happen, I can always type/delete in the URL bar.
Comment 20 Jim Mathies [:jimm] 2011-02-23 09:45:02 PST
File: nppdf32.dll
Version: 10.0.0.396
Adobe PDF Plug-In For Firefox and Netscape 10.0.0

Hmm, so my steps in 3.6 to reproduce are:

Open 3.6 w/ one empty tab
drop a pdf off the desktop into that tab
click on the address bar - no cursor, text is highlighted, typing doesn't work
click on the search edit - "Google" is highlight, typing doesn't work
click the search drop down, select default search engine
everything goes back to normal

This happen on the first window I open. After tI close that tab I can't reproduce.

I'll try updating reader.
Comment 21 Jim Mathies [:jimm] 2011-02-23 09:48:20 PST
10.0.1 still has the issue for me. In a 4.0 nightly, it's worse for some reason - closing the tab and restarting the steps reproduces each time.
Comment 22 Rudi Sherry 2011-02-23 10:07:22 PST
Tried exactly those steps with Reader X and Firefox 3.6.13 on Win 7 enterprise, and it works fine for me.

I tried it with Reader Protected Mode off and on, and it works.

I'm using Remote Desktop to my Win 7 machine, I can try on the physical machine later today but it's hard to believe that would make a difference.
Comment 23 eyal gruss (eyaler) 2011-02-26 15:00:04 PST
*** Bug 637039 has been marked as a duplicate of this bug. ***
Comment 24 eyal gruss (eyaler) 2011-02-26 15:05:52 PST
*** Bug 636778 has been marked as a duplicate of this bug. ***
Comment 25 orangezilla 2011-02-27 08:05:09 PST
(In reply to comment #24)
> *** Bug 636778 has been marked as a duplicate of this bug. ***
Should this have really been marked as a duplicate, the linked bug refers to Firefox 4 Betas/Nightlies not 3.6 as this bug refers to.
Comment 26 Jim Mathies [:jimm] 2011-03-10 09:25:05 PST
*** Bug 626491 has been marked as a duplicate of this bug. ***
Comment 27 Jim Mathies [:jimm] 2011-03-10 09:45:55 PST
I've confirmed the fix in bug 550322 caused this. Not sure yet how we work around this in the pdf case though. That fix was an important Flash full screen hang fix.
Comment 28 Jim Mathies [:jimm] 2011-03-11 16:47:50 PST
*** Bug 641024 has been marked as a duplicate of this bug. ***
Comment 29 Jim Mathies [:jimm] 2011-03-14 09:52:32 PDT
Hmm, interesting. The window taking focus is a text edit created by the ACRORD32 module. The edit is marked visible although I don't see it. We split the calling thread off using ReplyMessage and process the event. From there, focus in the browser gets hosed.
Comment 30 Benjamin Smedberg [:bsmedberg] 2011-03-15 07:22:49 PDT
*** Bug 640623 has been marked as a duplicate of this bug. ***
Comment 31 Jim Mathies [:jimm] 2011-03-18 13:18:05 PDT
Rudi, question for you if you can answer it. Adobe reader is creating an odd widget, it's an Edit class, the window is visible, but the location of the window is off screen and the client area is zero. This bug when it shows up is due to strange interaction between the creation of this edit and our main window. Curious if you can shed any light on what that edit is for.

I'll attach a patch that one offs this. I'm not very happy with it but after poking at this for a while I've not come up with much of anything slick that fixes this.
Comment 32 Jim Mathies [:jimm] 2011-03-18 13:19:38 PDT
Created attachment 520291 [details] [diff] [review]
one off patch
Comment 33 Jim Mathies [:jimm] 2011-03-18 13:20:36 PDT
Created attachment 520292 [details] [diff] [review]
one off patch

minus some left over debug gunk.
Comment 34 Jim Mathies [:jimm] 2011-03-18 13:22:03 PDT
(In reply to comment #31)
> Rudi, question for you if you can answer it. Adobe reader is creating an odd
> widget, it's an Edit class, the window is visible, but the location of the
> window is off screen and the client area is zero. This bug when it shows up is
> due to strange interaction between the creation of this edit and our main
> window. Curious if you can shed any light on what that edit is for.
> 
> I'll attach a patch that one offs this. I'm not very happy with it but after
> poking at this for a while I've not come up with much of anything slick that
> fixes this.

Also, the edit has no parent, it's floating out there on it's own for some reason. It's pretty easy to find in Spy since it's at the root of the window list and is marked visible.
Comment 35 Rudi Sherry 2011-03-18 13:35:15 PDT
This doesn't sound familiar to me at all, I'll forward this to our dev group to see if anyone knows the answer.  I can't repro this issue so I don't know.

Did you try turning Reader Protected Mode OFF (Reader -> Preferences -> General)?  You have to exit Reader after that and make sure no AcroRd32.exe processes are running, before it takes effect.
Comment 36 Jim Mathies [:jimm] 2011-03-18 13:58:32 PDT
(In reply to comment #35)
> This doesn't sound familiar to me at all, I'll forward this to our dev group to
> see if anyone knows the answer.  I can't repro this issue so I don't know.
> 
> Did you try turning Reader Protected Mode OFF (Reader -> Preferences ->
> General)?  You have to exit Reader after that and make sure no AcroRd32.exe
> processes are running, before it takes effect.

Turning that off seems to have fixed it.

Interesting too - that Edit window I was seeing is gone from the Spy window list as well w/protected mode disabled.
Comment 37 Alice0775 White 2011-03-22 11:29:46 PDT
*** Bug 643824 has been marked as a duplicate of this bug. ***
Comment 38 Jim Mathies [:jimm] 2011-03-25 11:46:30 PDT
Created attachment 521885 [details] [diff] [review]
fix

This should be relatively safe since regular processes aren't going to be integrated in with our UI. Those types of event would be async anyway, according to msdn.
Comment 39 Jim Mathies [:jimm] 2011-03-25 11:50:23 PDT
Created attachment 521887 [details] [diff] [review]
fix

I want the is visible check on the suspect window.
Comment 40 Jim Mathies [:jimm] 2011-03-25 11:51:53 PDT
Comment on attachment 521887 [details] [diff] [review]
fix

Ben, msg me on irc for details.
Comment 41 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-03-25 12:21:05 PDT
Comment on attachment 521887 [details] [diff] [review]
fix

r=me if we can change the early return to a simple break (with handled == PR_FALSE still).
Comment 42 Jim Mathies [:jimm] 2011-03-25 16:40:56 PDT
http://hg.mozilla.org/mozilla-central/rev/ef57f679db3f
Comment 43 Jim Mathies [:jimm] 2011-03-25 17:09:21 PDT
Comment on attachment 521887 [details] [diff] [review]
fix

I think we should consider getting this into 4.0. It's a pretty serious bug for those that experience it. (unusable browser after loading a pdf into a tab.)
Comment 44 eyal gruss (eyaler) 2011-03-25 17:32:07 PDT
does this solve bug 627275 as well?
Comment 45 Jim Mathies [:jimm] 2011-03-25 18:26:10 PDT
*** Bug 627275 has been marked as a duplicate of this bug. ***
Comment 46 Jim Mathies [:jimm] 2011-03-25 18:26:43 PDT
(In reply to comment #44)
> does this solve bug 627275 as well?

Yes it appears to. Would you mind testing tomorrow's nightly to confirm?
Comment 47 XtC4UaLL [:xtc4uall] 2011-03-30 10:07:45 PDT
*** Bug 645919 has been marked as a duplicate of this bug. ***
Comment 48 Daniel Veditz [:dveditz] 2011-04-01 11:16:36 PDT
Comment on attachment 521887 [details] [diff] [review]
fix

Approved for the mozilla2.0 repository, a=dveditz for release-drivers

Does this patch fix 3.6.x as well? Or is the problem less bad in that version?
Comment 49 AndreiD[QA] 2011-04-05 01:12:57 PDT
WFM on
Mozilla/5.0 (Windows NT 6.1; rv:2.2a1pre) Gecko/20110404 Firefox/4.2a1pre

Plugin:
    File: nppdf32.dll
    Version: 10.0.1.434
    Adobe PDF Plug-In For Firefox and Netscape 10.0.1

Editing a link after opening a pdf is possible in the build above.
Comment 50 Jim Mathies [:jimm] 2011-04-11 11:02:38 PDT
(In reply to comment #48)
> Comment on attachment 521887 [details] [diff] [review]
> fix
> 
> Approved for the mozilla2.0 repository, a=dveditz for release-drivers
> 
> Does this patch fix 3.6.x as well? Or is the problem less bad in that version?

It's "less bad" basically. We could land it there too, it's a pretty safe patch.
Comment 51 Jim Mathies [:jimm] 2011-04-11 13:10:42 PDT
(In reply to comment #48)
> Comment on attachment 521887 [details] [diff] [review]
> fix
> 
> Approved for the mozilla2.0 repository, a=dveditz for release-drivers
> 
> Does this patch fix 3.6.x as well? Or is the problem less bad in that version?

http://hg.mozilla.org/releases/mozilla-2.0/rev/d46a8eac2278
Comment 52 eyal gruss (eyaler) 2011-04-18 14:15:24 PDT
(In reply to comment #46)
> (In reply to comment #44)
> > does this solve bug 627275 as well?
> 
> Yes it appears to. Would you mind testing tomorrow's nightly to confirm?

unfortunately it does not. i unduped and reopened Bug 627275
Comment 53 eyal gruss (eyaler) 2011-11-14 06:06:15 PST
i am still seeing this on 9.0b1 with adobe 10.1.1.33
Comment 54 Benjamin Smedberg [:bsmedberg] 2011-11-14 06:54:53 PST
Could you please open a new bug? Because this one has already had a fix landed and various branch tracking flags set, we really don't want to reopen it.
Comment 55 eyal gruss (eyaler) 2011-11-19 07:33:00 PST
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #54)
> Could you please open a new bug? Because this one has already had a fix
> landed and various branch tracking flags set, we really don't want to reopen
> it.

submitted Bug 703879
Comment 56 Joshua Mitchell (Inactive) 2014-10-12 11:07:45 PDT
Issue is resolved - clearing old keywords - qa-wanted clean-up

Note You need to log in before you can comment on or make changes to this bug.